function validate(model, value) {
    const missingKeys = Reflect.ownKeys(model)
        .map((key) => {
            if (typeof model[key] === 'object') {
                const childKey = validate(model[key], value[key]);

                return childKey ? `${key}.${childKey}` : undefined
            } else if (model[key] && typeof value[key] === 'undefined') {
                return key;
            }
        })
        .filter((key) => Boolean(key));
    
    return missingKeys;
};
const model = {
    a: true,
    b: {
        c: true
    }
};

const value = {
    a: 1,
    b: 2
};

validate(model, value);;
v.isMobilePhone('1234567890', 'any');;
